apiVersion: migration.openshift.io/v1alpha1
kind: MigPlan
metadata:
  annotations:
    openshift.io/touch: 0ef10345-ab8d-11f0-adf9-0a580a82011f
  creationTimestamp: "2025-10-17T19:09:34Z"
  generation: 4
  name: migplan-hafvvo
  namespace: openshift-migration
  resourceVersion: "82545619"
  uid: 0cab3555-0520-4529-9fd3-f466813b8bc8
spec:
  destMigClusterRef:
    name: host
    namespace: openshift-migration
  liveMigrate: true
  namespaces:
  - awels
  persistentVolumes:
  - capacity: 30Gi
    name: pvc-670640cd-88ec-4e72-8944-51def2ee1f0b
    proposedCapacity: "0"
    pvc:
      accessModes:
      - Auto
      hasReference: true
      name: rhel9-sapphire-catshark-11:rhel9-sapphire-catshark-11-mig-iq7v93-mig-4g8l
      namespace: awels
      ownerType: VirtualMachine
      volumeMode: Auto
    selection:
      action: copy
      copyMethod: block
      storageClass: ocs-storagecluster-ceph-rbd
    storageClass: ocs-storagecluster-ceph-rbd-virtualization
    supported:
      actions:
      - skip
      - copy
      copyMethods:
      - filesystem
      - block
      - snapshot
  - capacity: 20Gi
    name: pvc-96736519-154c-40a6-b5df-fbd88fface55
    proposedCapacity: "0"
    pvc:
      accessModes:
      - Auto
      name: debug-tools:debug-tools-mig-iq7v93-mig-4g8l
      namespace: awels
      volumeMode: Auto
    selection:
      action: skip
      copyMethod: block
      storageClass: ocs-storagecluster-ceph-rbd
    storageClass: ocs-storagecluster-ceph-rbd
    supported:
      actions:
      - skip
      - copy
      copyMethods:
      - filesystem
      - block
      - snapshot
  refresh: true
  srcMigClusterRef:
    name: host
    namespace: openshift-migration
status:
  conditions:
  - category: Advisory
    durable: true
    lastTransitionTime: "2025-10-17T19:10:25Z"
    message: The migration plan was previously used for Storage Conversion. It can
      only be used for further Storage Conversions. Other migrations will be possible
      only after a successful rollback is performed.
    reason: StorageConversionPlan
    status: "True"
    type: MigrationTypeIdentified
  - category: Warn
    durable: true
    lastTransitionTime: "2025-10-17T19:10:25Z"
    message: 'Found Pods with non-default `Spec.NodeSelector` set in namespaces: [awels].
      This field will be cleared on Pods restored into the target cluster.'
    reason: NodeSelectorsDetected
    status: "True"
    type: NamespacesHaveNodeSelectors
  - category: Required
    lastTransitionTime: "2025-10-17T19:11:17Z"
    message: The `persistentVolumes` list has been updated with discovered PVs.
    reason: Done
    status: "True"
    type: PvsDiscovered
  - category: Warn
    lastTransitionTime: "2025-10-17T19:11:17Z"
    message: AccessMode for PVC in `persistentVolumes` [pvc-670640cd-88ec-4e72-8944-51def2ee1f0b]
      unavailable in chosen storage class.
    status: "True"
    type: PvWarnAccessModeUnavailable
  - category: Warn
    lastTransitionTime: "2025-10-17T19:11:17Z"
    message: 'Failed to compute PV resizing data for the following volumes. PV resizing
      will be disabled for these volumes and the migration may fail if the volumes
      are full or their requested and actual capacities differ in the source cluster.
      Please ensure that the volumes are attached to one or more running Pods for
      PV resizing to work correctly: [debug-tools]'
    reason: NotDone
    status: "True"
    type: PvUsageAnalysisFailed
  - category: Required
    lastTransitionTime: "2025-10-17T19:11:17Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  destStorageClasses:
  - name: local-block-ocs
    provisioner: kubernetes.io/no-provisioner
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - default: true
    name: ocs-storagecluster-ceph-rbd
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-virtualization
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-wffc
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rgw
    provisioner: openshift-storage.ceph.rook.io/bucket
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - name: ocs-storagecluster-cephfs
    provisioner: openshift-storage.cephfs.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Filesystem
  excludedResources:
  - imagetags
  - templateinstances
  - clusterserviceversions
  - packagemanifests
  - subscriptions
  - servicebrokers
  - servicebindings
  - serviceclasses
  - serviceinstances
  - serviceplans
  - operatorgroups
  - events
  - events.events.k8s.io
  - rolebindings.authorization.openshift.io
  observedDigest: 443ddecab7aa7cdd3754bf914953f6e985c830b0b57c9382e212d45761d7fcd6
  srcStorageClasses:
  - name: local-block-ocs
    provisioner: kubernetes.io/no-provisioner
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - default: true
    name: ocs-storagecluster-ceph-rbd
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-virtualization
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rbd-wffc
    provisioner: openshift-storage.rbd.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Block
  - name: ocs-storagecluster-ceph-rgw
    provisioner: openshift-storage.ceph.rook.io/bucket
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      volumeMode: Filesystem
  - name: ocs-storagecluster-cephfs
    provisioner: openshift-storage.cephfs.csi.ceph.com
    volumeAccessModes:
    - accessModes:
      - ReadWriteOnce
      - ReadOnlyMany
      - ReadWriteMany
      volumeMode: Filesystem
  suffix: 4g8l
